AddCircle Method

Back to Methods Reference

Creates a circle given a center point and radius.

Signature

VBA : RetVal = object.AddCircle(Center, Radius)

VLA : RetVal = (vla-AddCircle Center Radius)

(vla-AddCircle mspace pt1 rad)

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • Center : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the circle's center.
  • Radius : Double; input-only
    The radius of the circle. Must be a positive number.
  • RetVal : Circle object
    The newly created Circle object.


Remarks

This circle is created on the XY plane of the WCS.

Example :


;Get the ModelSpace collection of the active document,
;select center point and radius: 

(setq thisdrawing (vla-get-activedocument (vlax-get-acad-object)))

(setq mspace (vla-get-modelspace thisdrawing))

(setq pt1 (vlax-3d-point (getpoint "\nCenter point: ")))

(setq rad (getreal "\nRadius: "))

(vla-AddCircle mspace pt1 rad) 

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website